summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin von Gagern (MvG) <Martin.vGagern@gmx.net>2008-12-30 20:35:57 +0000
committerMartin von Gagern (MvG) <Martin.vGagern@gmx.net>2008-12-30 20:35:57 +0000
commitb82288a873f0b173d7f307f579806a0c59f15069 (patch)
treeaf19abc25e25663cd411dc31f908d52d41024e81 /dev-perl
parentdev-db/dbf: Second of two ebuilds from bug 85553 (diff)
downloadsunrise-b82288a873f0b173d7f307f579806a0c59f15069.tar.gz
sunrise-b82288a873f0b173d7f307f579806a0c59f15069.tar.bz2
sunrise-b82288a873f0b173d7f307f579806a0c59f15069.zip
dev-perl/Authen-SASL-Cyrus-server: Ebuild from bug 154782
svn path=/sunrise/; revision=7558
Diffstat (limited to 'dev-perl')
-rw-r--r--dev-perl/Authen-SASL-Cyrus-server/Authen-SASL-Cyrus-server-0.13.ebuild27
-rw-r--r--dev-perl/Authen-SASL-Cyrus-server/ChangeLog8
-rw-r--r--dev-perl/Authen-SASL-Cyrus-server/Manifest4
-rw-r--r--dev-perl/Authen-SASL-Cyrus-server/metadata.xml5
4 files changed, 44 insertions, 0 deletions
diff --git a/dev-perl/Authen-SASL-Cyrus-server/Authen-SASL-Cyrus-server-0.13.ebuild b/dev-perl/Authen-SASL-Cyrus-server/Authen-SASL-Cyrus-server-0.13.ebuild
new file mode 100644
index 000000000..a3d7c1d63
--- /dev/null
+++ b/dev-perl/Authen-SASL-Cyrus-server/Authen-SASL-Cyrus-server-0.13.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit perl-module
+
+MY_P="${P//-server}-server"
+AUTHOR="PBOETTCH"
+DESCRIPTION="A Perl SASL interface using the Cyrus SASL library (server version)"
+HOMEPAGE="http://search.cpan.org/~pboettch/Authen-SASL-Cyrus/"
+SRC_URI="mirror://cpan/authors/id/${AUTHOR:0:1}/${AUTHOR:0:2}/${AUTHOR}/${MY_P}.tar.gz"
+
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=">=dev-perl/Authen-SASL-2.06
+ >=dev-libs/cyrus-sasl-2"
+RDEPEND="${DEPEND}
+ !dev-perl/Authen-SASL-Cyrus"
+
+S="${WORKDIR}/${MY_P}"
+
+SRC_TEST="do"
+export OPTIMIZE="$CFLAGS"
+myconf="INC=-I/usr/include/sasl LIBS=-lsasl2 DEFINE=-DSASL2"
diff --git a/dev-perl/Authen-SASL-Cyrus-server/ChangeLog b/dev-perl/Authen-SASL-Cyrus-server/ChangeLog
new file mode 100644
index 000000000..9a2796f5e
--- /dev/null
+++ b/dev-perl/Authen-SASL-Cyrus-server/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-perl/Authen-SASL-Cyrus-server
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 30 Dec 2008; Martin von Gagern (MvG) <Martin.vGagern@gmx.net>
+ +Authen-SASL-Cyrus-server-0.13.ebuild, +metadata.xml:
+ Ebuild from bug 154782
+
diff --git a/dev-perl/Authen-SASL-Cyrus-server/Manifest b/dev-perl/Authen-SASL-Cyrus-server/Manifest
new file mode 100644
index 000000000..bbb94461a
--- /dev/null
+++ b/dev-perl/Authen-SASL-Cyrus-server/Manifest
@@ -0,0 +1,4 @@
+DIST Authen-SASL-Cyrus-0.13-server.tar.gz 21954 RMD160 9c50c972730d2328c108a3a420be8fbeee2c4b33 SHA1 539a32d0184e1121f2ee3d51280313b0429d31d9 SHA256 bd0bd2e8454d8d0bb1fe861900dcd81146f334fc84c06bbbbd10bfbb73e8f097
+EBUILD Authen-SASL-Cyrus-server-0.13.ebuild 725 RMD160 fb38713d6d7048f12097372d4669a52e694feee4 SHA1 f0245cab1472b0696dcaed4d577d6f709bde0146 SHA256 cd572b4afb7512f290d4fcf7a239d2f3a98e4a54420413676e15b5e3fea29541
+MISC ChangeLog 280 RMD160 21309775ae57ddc357736dc03373d74969571ce6 SHA1 ad0424be5221f67bf0ec53c85ad71a81eff58687 SHA256 0fabfcda47c38f981cfab44997540b7d18ad189d294fce61d6d8771bf5b6b29b
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-perl/Authen-SASL-Cyrus-server/metadata.xml b/dev-perl/Authen-SASL-Cyrus-server/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-perl/Authen-SASL-Cyrus-server/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>